<?php

class ipay88_online_bankingIpay88ModuleFrontController extends ModuleFrontController
{
	public $ssl = true;

    /**
     * @see FrontController::initContent()
     */

    public function initContent()
    {
		$cart = $this->context->cart;
		
		if ($cart->id_customer == 0 || $cart->id_address_delivery == 0 || $cart->id_address_invoice == 0 || !$this->module->active)
		Tools::redirect('index.php?controller=order&step=1');
		
		$this->display_column_left = false;
		
       	parent::initContent();
	
		$cart = $this->context->cart;
        
		if (!$this->module->checkCurrency($cart)) 
		{
            Tools::redirect('index.php?controller=order');
        }
	
		$merchant_domain = Tools::getShopDomainSsl(true).__PS_BASE_URI__;

		$view_ipay88_online_banking_method_title	  	= Configuration::get('ipay88_online_banking_method_title');		
        $view_ipay88_online_banking_description     	= Configuration::get('ipay88_online_banking_description');
		
		
		$view_ipay88_online_banking_payment_types   	= Configuration::get('ipay88_online_banking_payment_types');		
		$view_ipay88_online_banking_payment_types_4		= Configuration::get('ipay88_online_banking_payment_types_4');
		$view_ipay88_online_banking_payment_types_11	= Configuration::get('ipay88_online_banking_payment_types_11');
		$view_ipay88_online_banking_payment_types_14	= Configuration::get('ipay88_online_banking_payment_types_14');
		$view_ipay88_online_banking_payment_types_23	= Configuration::get('ipay88_online_banking_payment_types_23');
		
			
        $this->context->smarty->assign(array(
        	
			'nbProducts' 		=> $cart->nbProducts(),
            'cust_currency' 	=> $cart->id_currency,
            'currencies' 		=> $this->module->getCurrency((int)$cart->id_currency),
            'total' 			=> $cart->getOrderTotal(true, Cart::BOTH),
            'isoCode' 			=> $this->context->language->iso_code,
            'checkName' 		=> $this->module->checkName,
            'checkAddress' 		=> Tools::nl2br($this->module->address),
            
			'this_path' 		=> $this->module->getPathUri(),
            'this_path_check' 	=> $this->module->getPathUri(),
            'this_path_ssl' 	=> Tools::getShopDomainSsl(true, true).__PS_BASE_URI__.'modules/'.$this->module->name.'/',
					
			
			'ipay88_online_banking_method_title' 		=> $view_ipay88_online_banking_method_title,
			'ipay88_online_banking_description' 		=> $view_ipay88_online_banking_description,
			
			'ipay88_online_banking_payment_types_4'		=> $view_ipay88_online_banking_payment_types_4,
			'ipay88_online_banking_payment_types_11'	=> $view_ipay88_online_banking_payment_types_11,
			'ipay88_online_banking_payment_types_14'	=> $view_ipay88_online_banking_payment_types_14,
			'ipay88_online_banking_payment_types_23'	=> $view_ipay88_online_banking_payment_types_23,
			
			'logo_online_banking'  	=> 
			$merchant_domain.'modules/ipay88_online_banking/assets/images/online-banking-menu.png',
												
			'logo_mandiri_clickpay'	=> 
			$merchant_domain.'modules/ipay88_online_banking/assets/images/mandiri-clickpay.png',
			
			'logo_cimb_clicks'		=> 
			$merchant_domain.'modules/ipay88_online_banking/assets/images/cimb-clicks.png',
			
			'logo_ib_muamalat'		=> 
			$merchant_domain.'modules/ipay88_online_banking/assets/images/ib-muamalat.png',
			
			'logo_danamon_ob'		=> 
			$merchant_domain.'modules/ipay88_online_banking/assets/images/danamon-ob.png',
        ));   	

        $this->setTemplate('module:ipay88_online_banking/views/templates/front/payment_execution.tpl');
   
    }
}

 
